function Create(self)
	self.LagTimer = Timer()
	self.name = math.random(20000)..math.random()
	if not water then --if theres not a water table
		water = {} --make one
		table.insert(water, self)
	else --otherwise
		table.insert(water, self) --put ourselves in it
	end
end

function Update(self)
	if self.LagTimer:IsPastSimMS(math.random(50,150)) then
		for k,v in pairs(water) do --do some comparisons based on the other water particles
			if v.name ~= self.name then --if not ourself
				local vect = (v.Pos - self.Pos)
				--local vect = SceneMan:ShortestDistance(self.Pos, v.Pos, true) --seems to be floored <_< grif was right
				if vect.Magnitude < 3 and vect.Magnitude > 0 then --and if theyre close, push yourself away
					self.Vel = self.Vel + (vect / -((vect.Magnitude + .2) ^ 2))
					if math.floor(self.Pos.Y) == math.floor(v.Pos.Y) or math.floor(self.Pos.X) == math.floor(v.Pos.X) then
						self.Vel = self.Vel +  Vector(math.random(-2,2), math.random(-2,2)) --this bit prevents horrible lineups
					end
				end
			end
		end
		self.LagTimer:Reset()
	end
	self.ToSettle = false
end

function Destroy(self)
	for k,v in ipairs(water) do --when we vanish, remove ourselves from the water table to prevent stupid errors
		if v.name == self.name then
			table.remove(water, k)
			break --no more comparisons needed
		end
	end
end